---
name: Bug report
about: Report a bug with pact-js
title: ''
labels: bug, triage
assignees: ''

---

_Thank you for reporting a bug! We appreciate it very much. Issues are a big input into the priorities for Pact-JS development_

_All italic text in this template is safe to remove before submitting_

_Thanks again!_

### Software versions

_Please provide at least OS and version of pact-js_

- **OS**: _e.g. Mac OSX 10.11.5_
- **Consumer Pact library**: _e.g. Pact JS v2.6.0_
- **Provider Pact library**: _e.g. pact-jvm-provider-maven_2.11 v 3.3.8_
- **Node Version**: `node --version`

### Issue Checklist

Please confirm the following:

- [ ] I have upgraded to the latest
- [ ] I have the read the FAQs in the Readme
- [ ] I have triple checked, that there are **no unhandled promises** in my code and have [read](https://github.com/pact-foundation/pact-js/blob/master/docs/troubleshooting.md#test-fails-when-it-should-pass) the section on intermittent test failures
- [ ] I have set my log level to debug and attached a log file showing the complete request/response cycle
- [ ] For bonus points and virtual high fives, I have created a reproduceable git repository (see below) to illustrate the problem

### Expected behaviour

_fill in here_

### Actual behaviour

_fill in here_

### Steps to reproduce

_How can someone else reproduce this bug?_

_Provide a [Minimal, Reproducible Example](https://stackoverflow.com/help/minimal-reproducible-example). You can create your own repository, or use [this template](https://github.com/mefellows/pact-js-repro-template) that's already hooked up to CI and everything._

### Relevant log files

_Please ensure you set logging to `DEBUG` and attach any relevant log files here (or link to a gist)._
